Loading...
Searching...
No Matches
vector_source.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for vector_source.h:

Go to the source code of this file.

## Classes

class | gr::blocks::vector_source< T >
| Source that streams T items based on the input `data` vector. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef vector_source< std::uint8_t > | gr::blocks::vector_source_b
typedef vector_source< std::int16_t > | gr::blocks::vector_source_s
typedef vector_source< std::int32_t > | gr::blocks::vector_source_i
typedef vector_source< float > | gr::blocks::vector_source_f
typedef vector_source< gr_complex > | gr::blocks::vector_source_c